Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Class BindingIteratorHelper

    java.lang.Object
      org.omg.CosNaming.BindingIteratorHelper

    public abstract class BindingIteratorHelper

extends Object

The BindingIterator interface allows a client to iterate through the bindings using the next_one or next_n operations. The bindings iterator is obtained by using the `list` method on the `NamingContext`.

See Also:
  `NamingContextOperations.list(int, org.omg.CosNaming.BindingListHolder, org.omg.CosNaming.BindingIteratorHolder)`

Constructor Summary
`BindingIteratorHelper()`

Method Summary
`static BindingIterator` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, BindingIterator that)`
`static BindingIterator` | `narrow(Object obj)`
`static BindingIterator` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static BindingIterator` | `unchecked_narrow(Object obj)`
`static void` | `write(OutputStream ostream, BindingIterator value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingIteratorHelper

    public BindingIteratorHelper()

Method Detail

### insert

    public static void insert(Any a,
                              BindingIterator that)

### extract

    public static BindingIterator extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static BindingIterator read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             BindingIterator value)

### narrow

    public static BindingIterator narrow(Object obj)

### unchecked_narrow

    public static BindingIterator unchecked_narrow(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.